%define oname kazoo

%def_disable check

Name: python3-module-kazoo
Version: 2.8.0
Release: alt1

Summary: Higher Level Zookeeper Client

License: ASLv2.0
Group: Development/Python3
Url: https://pypi.python.org/pypi/kazoo/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-macros-sphinx3
BuildRequires(pre): python3-module-sphinx

# generated by epm --restore --dry-run from kazoo/setup.py install_requires
%py3_use six

%if_enabled check
# generated by epm --restore --dry-run from kazoo/setup.py tests_require
%py3_buildrequires pytest
%py3_buildrequires pytest-cov
%py3_buildrequires mock
%py3_buildrequires nose
%py3_buildrequires flake8
%py3_buildrequires objgraph
%endif


%description
kazoo implements a higher level API to Apache Zookeeper for Python
clients.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
kazoo implements a higher level API to Apache Zookeeper for Python
clients.

This package contains tests for %oname.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
kazoo implements a higher level API to Apache Zookeeper for Python
clients.

This packag contains documentation for %oname.

%prep
%setup

%prepare_sphinx3 .
ln -s ../objects.inv docs/

%build
%python3_build_debug

%install
%python3_install
%python3_prune
%make -C docs html SPHINXBUILD=sphinx-build-3

%check
python3 setup.py test
#nosetests3

%files
%doc *.md
%python3_sitelibdir/*
%if 0
%exclude %python3_sitelibdir/*/test*

%files tests
%python3_sitelibdir/*/test*
%endif

%files docs
%doc docs/_build/html/*

%changelog
* Tue Nov 10 2020 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version 2.8.0 (with rpmrb script)
- disable tests packing

* Tue Nov 10 2020 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt3
- build python3 package separately

* Mon Oct 19 2020 Stanislav Levin <slev@altlinux.org> 2.6.1-alt2
- Dropped extra tests dependencies.

* Mon Jun 03 2019 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- new version 2.6.1 (with rpmrb script)
- switch to build from tarball

* Wed May 16 2018 Andrey Bychkov <mrdrew@altlinux.org> 2.2.1-alt1.1.2
- (NMU) rebuild with python3.6

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 2.2.1-alt1.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 2.2.1-alt1.1
- NMU: Use buildreq for BR.

* Thu Oct 29 2015 Alexey Shabalin <shaba@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sun Nov 02 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.1-alt1.git20141002
- Initial build for Sisyphus

